Bug 810386 - Review Request: python-txws - Twisted WebSockets wrapper
Review Request: python-txws - Twisted WebSockets wrapper
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 15:53 EDT by Ralph Bean
Modified: 2012-05-26 18:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-txws-0.7-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 16:12:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-05 15:53:54 EDT
Spec URL: http://threebean.org/rpm/python-txws.spec
SRPM URL: http://threebean.org/rpm/python-txws-0.7-1.fc16.src.rpm
Description:
txWS (prounounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.


koji-f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=3967101
koji-el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=3967103

rpmlint output:

 % rpmlint SPECS/python-txws.spec SRPMS/python-txws-0.7-1.fc16.src.rpm RPMS/noarch/python-txws-0.7-1.fc17.noarch.rpm
SPECS/python-txws.spec:36: W: macro-in-comment %check
python-txws.src: W: spelling-error %description -l en_US prounounced -> pronounced, pronounce, renounced
python-txws.src:36: W: macro-in-comment %check
python-txws.noarch: W: spelling-error %description -l en_US prounounced -> pronounced, pronounce, renounced
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
Comment 1 Haïkel Guémar 2012-04-07 04:59:32 EDT
I will review this package
Comment 2 Haïkel Guémar 2012-04-07 05:34:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-txws-0.7-1.fc17.noarch.rpm

python-txws.noarch: W: spelling-error %description -l en_US prounounced -> pronounced, pronounce, renounced
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-txws-0.7-1.fc17.src.rpm

python-txws.src: W: spelling-error %description -l en_US prounounced -> pronounced, pronounce, renounced
python-txws.src:36: W: macro-in-comment %check
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/haikel/810386/txWS-0.7.tar.gz :
  MD5SUM this package     : e8f5fb03c189d83b47b21176c7574126
  MD5SUM upstream package : e8f5fb03c189d83b47b21176c7574126

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Rpmlint output is silent.

rpmlint python-txws-0.7-1.fc17.noarch.rpm

python-txws.noarch: W: spelling-error %description -l en_US prounounced -> pronounced, pronounce, renounced
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-txws-0.7-1.fc17.src.rpm

python-txws.src: W: spelling-error %description -l en_US prounounced -> pronounced, pronounce, renounced
python-txws.src:36: W: macro-in-comment %check
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:

* Unless you plan to support EPEL5, you must drop the %defattr macro
* s/python-devel/python2-devel/ to complies with python guidelines
* since tests are not runnable due to a missing file and you intends to re-enable them later, it's ok to comment the %check section
* you should request upstream to add a license file (not a blocker but strongly advised)

Since its licensing is Ok (MIT/X11) and the packaging only requires minor changes, it should be approved at the next iteration.
Comment 3 Ralph Bean 2012-04-09 20:46:56 EDT
* No plans to support EPEL5.  I removed the %defattr
* rpmlint output is now silent except for the macro-in-comment line that the reviewer allowed.
* Requested that upstream add a LICENSE file in the future - https://github.com/MostAwesomeDude/txWS/pull/10

The latest version of the specfile and RPM can be found here:

SPEC: http://threebean.org/rpm/python-txws.spec
SRPM: http://threebean.org/rpm/python-txws-0.7-3.f17.src.rpm
Comment 4 Ralph Bean 2012-04-09 20:49:13 EDT
Sorry, the SRPM link is wrong.  It is actually:

http://threebean.org/rpm/python-txws-0.7-3.fc17.src.rpm
Comment 5 Haïkel Guémar 2012-04-10 09:56:00 EDT
All valid points above remain ok, and requested changes were done.
Since this package respects Fedora general and python specific guidelines, i hereby approve it into Fedora Packages Collection.
Comment 6 Ralph Bean 2012-04-10 10:17:08 EDT
New Package SCM Request
=======================
Package Name: python-txws
Short Description: Twisted WebSockets wrapper
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-04-10 10:21:40 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-04-10 10:52:47 EDT
python-txws-0.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-txws-0.7-3.fc17
Comment 9 Fedora Update System 2012-04-10 11:13:40 EDT
python-txws-0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-txws-0.7-3.el6
Comment 10 Fedora Update System 2012-04-11 21:08:01 EDT
python-txws-0.7-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-04-26 16:12:52 EDT
python-txws-0.7-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-05-26 18:07:10 EDT
python-txws-0.7-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.